Page MenuHomePhabricator

S7. Put "Edit" under dropdown menu for everyone's posts (Russian)
Closed, ResolvedPublic0 Story Points

Description

When we turn on editing other people's posts, having "Reply - Edit - Thank" under every post a user sees would give too much emphasis to a feature that's meant to be used occasionally.

  • Add "Edit" to the dropdown menu. It should be the last item in the menu, using the pencil icon currently used for "Edit title".
  • Remove the "Edit" links immediately below the post.

Event Timeline

DannyH created this task.Feb 27 2015, 6:05 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2015, 6:05 PM

I agree with @Quiddity it should be below Permalink. I think it should be in the moderation/action group (that is to say below the separator), but I don't feel that strongly about this.

Note, @EBernhardson has some concerns about this. He has a medium-term goal for all non-privileged users (e.g. all autoconfirmed users without any other relevant rights) to get the same post HTML (for caching, to help performance), which this would interfere with. I'll let him say how urgent he thinks this is.

If our choices are:

  1. Put it below the post, regardless of whether it's your own post.
  2. Put it in the menu, regardless of whether it's your own post.

I prefer #2 (menu).

Yeah, I agree -- if we have to do them the same, then Edit is better off in the menu.

DannyH updated the task description. (Show Details)
DannyH set Security to None.

In this context, consuming information seems more common than modifying it, and keep actions separate based on that would encourage safe exploration.

Regarding the location, I had to chose a single one, I would also consider the menu.

Regarding the menu placement, I think it also make sense to keep in different groups those actions that do not affect content (permalink, history), from those about modifying it (edit, hide, etc.). Regarding the later group it makes also sense to divide it by the severity of the actions: first the regular modifications (edit, summarise) and then the advanced administrative actions (hide, delete, suppress, etc.)

We also should keep the position of actions consistent for topics and replies.

DannyH renamed this task from Put "Edit" under dropdown menu for everyone's posts but your own (Russian) to Put "Edit" under dropdown menu for everyone's posts (Russian).Mar 2 2015, 7:45 PM
DannyH updated the task description. (Show Details)
DannyH edited a custom field.
DannyH renamed this task from Put "Edit" under dropdown menu for everyone's posts (Russian) to S8. Put "Edit" under dropdown menu for everyone's posts (Russian).Mar 11 2015, 9:44 PM
DannyH renamed this task from S8. Put "Edit" under dropdown menu for everyone's posts (Russian) to S7. Put "Edit" under dropdown menu for everyone's posts (Russian).
DannyH removed a project: Collaboration-Team-Triage.

Change 196453 had a related patch set uploaded (by EBernhardson):
Put "Edit" under dropdown menu for posts

https://gerrit.wikimedia.org/r/196453

Change 196453 merged by jenkins-bot:
Put "Edit" under dropdown menu for posts

https://gerrit.wikimedia.org/r/196453

This isn't on Beta... where should I look?

It is on Beta, but is currently at the very bottom of the action-menu.
I urge moving it up, to directly under Permalink (above the separator), as it is not a moderation-action-with-edit-summary which everything below the separator is currently.

description said to put it as the last item in the menu. Its trivial to change, is there consensus?

I'm only seeing it on my own posts on Beta...

I'm fine with moving it up so that it's the item before the separator:

Permalink
Edit
(separator)
Hide

As I mentioned in my previous comment, I think the general ordering can be based on the following categories: actions about getting information, actions about modifying content, and finally administrative actions.
Considering that, the ordering proposed by @DannyH and @Quiddity makes sense to me.

@DannyH: Enabling it for more than just your own post is T90670, but we can't merge that until we actually want to deploy it (although we can create a separate patch to enable it on beta already)

Change 197379 had a related patch set uploaded (by EBernhardson):
Move edit link for posts above moderation actions

https://gerrit.wikimedia.org/r/197379

DannyH closed this task as Resolved.Mar 19 2015, 9:45 PM

works on Beta